#include <iostream>
#define MAXN 100055
using namespace std;
int x[MAXN], y[MAXN], z[MAXN];
int n;
int main()
{
    cin>>n;
    for(int i = 1; i<=n; i++) cin>>x[i];
    for(int j = 1; j<=n; j++) cin>>y[j];
    for(int k = 1; k<=n; k++) cin>>z[k];
    int res=0;
    for(int i = 1; i<=n; i++) {
        for(int j=1; j<=n; j++) {
            if(y[j]==x[i]) {
                for(int k=1; k<=n; k++) {
                    if(j==z[k]) res++;
                }
            }
        }
    }
    cout<<res<<endl;
    return 0;
}